View Issue Details

IDProjectCategoryView StatusLast Update
0008014VALENTINA SERVERAPIpublic2019-06-12 09:43
ReporterJacob WahlgrenAssigned ToIvan Smahin 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformINTELOSWindowsOS Version10
Product Version 
Target Version7.4.xFixed in Version7.4.x 
Summary0008014: Inconsitency in database name parameter using Register/Unregister Database
DescriptionAccording to the API documentation, `Server_RegisterDatabase` accepts a filename with the extension being optional:

> This assumes that a database with name “DbName” or “DbName.vdb” exists in the “databases” folder of VServer.

> `server.RegisterDatabase( "DbName" )`

This is not true -- at least in the C interface. Trying to register a database without the `.vdb` extension fails with a message about "invalid name". Append the `.vdb` extension and it works.

I cannot verify if the bug only affects the C interface or others as well. Maybe this is intended behavior and just a documentation bug?

`Database_Open` has the same documented behavior and actually works.

There seems to be similar confusion with `Project_NewClient`.
Steps To Reproduce1. Start VServer
2. Create a database called `Db.vdb`
3. Unregister database
4. Connect through C api and attempt to register as below

    // This fails even though there is a "Db.vdb" in SystemCatalog
    Server_RegisterDatabase ( dbServerP, "Db", NULL );
    
    // This works
    Server_RegisterDatabase ( dbServerP, "Db.vdb", NULL );
TagsNo tags attached.

Activities

Jacob Wahlgren

Jacob Wahlgren

2017-07-09 13:19

reporter   ~0009785

It also seems like Database_Unregister requires a name without the extension which create an asymmetry between Register and Unregister.

Issue History

Date Modified Username Field Change
2017-07-07 15:38 Jacob Wahlgren New Issue
2017-07-09 13:19 Jacob Wahlgren Note Added: 0009785
2017-07-14 11:44 Ivan Smahin Assigned To => Ivan Smahin
2017-07-14 11:44 Ivan Smahin Status new => assigned
2017-07-27 05:49 Ivan Smahin Status assigned => resolved
2017-07-27 05:49 Ivan Smahin Fixed in Version => 7.3.x
2017-07-27 05:49 Ivan Smahin Resolution open => fixed
2017-08-19 07:12 Ruslan Zasukhin Fixed in Version 7.3.x => 7.4.x
2017-08-19 07:12 Ruslan Zasukhin Summary Inconsitency in database name parameter => Inconsitency in database name parameter using Register/Unregister Database
2017-08-19 07:12 Ruslan Zasukhin Project ADK-VCDK => VALENTINA SERVER
2017-08-19 07:14 Ruslan Zasukhin Target Version => 7.4.x